<?php
if ( ! defined( 'WPCT_GRP_PATH' ) ) {
	wp_die( "Direct access not allowed by WHMPress", "Forbidden" );
}

global $wpdb;

?>

<div class="wrap wpct_admin_page">
	<h2><?php echo __( "Sliders & Comparison Settings", "whmpress" ); ?></h2>
	<!-- Title of Plugin Page -->

	<!-- Start Groups table -->
	<form action="options.php" method="post">
		<?php
		settings_fields( 'wpct' );
		do_settings_sections( 'wpct' );
		?>
		<table class="wpct_admin_pretty_table">
			<tbody>
			<tr>
				<td class="right"><?php echo __( "HTML Template source", "whmpress" ) ?></td>
				<td>
					<select name="wpct_load_style_orders">
						<option value="">== Default ==</option>
						<option <?php echo get_option( 'wpct_load_style_orders' ) == "wpct" ? "selected=selected" : ""; ?> value="wpct">
							<?php echo __( "Matching Templates by WHMPress", "whmpress" ) ?>
						</option>
						<option <?php echo get_option( 'wpct_load_style_orders' ) == "author" ? "selected=selected" : ""; ?> value="author">
							<?php echo __( "Matching Templates by Theme Authors", "whmpress" ) ?>
						</option>
					</select>
				</td>
			</tr>
			<?php
			$wpct_cost_string1     = get_option( "wpct_cost_string1_".$this->get_current_language() );
			$wpct_cost_string2     = get_option( "wpct_cost_string2_".$this->get_current_language() );
			$wpct_discount_string1 = get_option( "wpct_discount_string1_".$this->get_current_language() );
			$wpct_discount_string2 = get_option( "wpct_discount_string2_".$this->get_current_language() );
			$wpct_feature_string1 = get_option( "wpct_feature_string1_".$this->get_current_language() );
			$wpct_feature_string2 = get_option( "wpct_feature_string2_".$this->get_current_language() );
			?>
            <!-- Discount Style 1 -->
            <tr class="table-heading2">
                <th colspan="2">
                    <?php esc_html_e('Discount Style 1', 'wpct')?>
                </th>
            </tr>
			<tr>
				<td class="right">
                    <?php echo __( "Up-sell Text", "whmpress" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
					<small>
						<em>
							<?php esc_html_e('Used with primary duration to show who much user will save for switching to longer duration. ', 'wpct')?>
						</em>
					</small>
				</td>
				<td>
					<input name="wpct_discount_string1_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_discount_string1 == "") ? "Switch {max_months} and save {max_discount}" : esc_attr($wpct_discount_string1) ?>">
				</td>
			</tr>
			<tr>
				<td class="right">
                    <?php echo __( "Discount Text", "whmpress" ); ?> <em><small>[ <?php echo $this->get_current_language(); ?> ]</small></em><br>
					<small>
						<em>
							<?php esc_html_e('Used to show how much user is saving with this duration. ', 'wpct')?>
						</em>
					</small>
				</td>
				<td>
					<input name="wpct_discount_string2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_discount_string2 == "") ? "You saved {discount}" : esc_attr($wpct_discount_string2) ?>">
				</td>
			</tr>
			<tr>
				<td class="right">
                    <?php echo __( "Up-sell Text (Banner)", "whmpress" ); ?><em><small> [ <?php echo $this->get_current_language(); ?> ]</small></em><br>
					<small>
						<em>
							<?php esc_html_e('Up-sell text to show on banner while with First Duration, ', 'wpct')?>
						</em>
					</small>
				</td>
				<td>
					<input name="wpct_feature_string1_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_feature_string1 == "") ? "Switch {duration}<br>Save {discount}" : esc_attr($wpct_feature_string1) ?>">
				</td>
			</tr>
			<tr>
				<td class="right">
                    <?php echo __( "Discount Text (Banner)", "whmpress" ); ?> <em><small>[ <?php echo $this->get_current_language(); ?> ]</small></em><br>
					<small>
						<em>
							<?php esc_html_e('Discount text to show with second duration.', 'wpct')?>
						</em>
					</small>
				</td>
				<td>
					<input name="wpct_feature_string2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_feature_string2 == "") ? "Saved<br> {discount}" : esc_attr($wpct_feature_string2) ?>">
				</td>
			</tr>

            <!-- Discount Style 2 -->
            <tr class="table-heading2">
                <th colspan="2">
                    <?php esc_html_e('Discount Style 2','wpct') ?>
                </th>
            </tr>
            <?php
            $wpct_cost_string1_style_2         = get_option( "wpct_discount_string1_style_2_".$this->get_current_language() );
            $wpct_starting_discount_string     = get_option( "wpct_starting_price_style_2_".$this->get_current_language() );
            $wpct_billed_discount_string       = get_option( "wpct_billed_at_string_style_2_".$this->get_current_language() );
            $wpct_discount_string_style_2      = get_option( "wpct_discount_string2_style_2_".$this->get_current_language() );
            ?>
            <tr>
                <td class="right">
                    <?php echo __( "Up-sell Text", "whmpress" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user will save for switching to longer duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string1_style_2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_cost_string1_style_2 == "") ? "FYI: By Choosing <strong>{max_months}</strong> months plan you could save <strong>{max_discount}</strong>" : esc_attr($wpct_cost_string1_style_2) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Starting Discount Text", "whmpress" ); ?> <em><small>[ <?php echo $this->get_current_language(); ?> ]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('It will show in other than primary billing cycles and Used to show actual smallest billing cycle price.', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_starting_price_style_2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_starting_discount_string == "") ? "<span class='wpct_price_discount_string'>Starting at </span> <span class='wpct_discount_del_price'>{smallest_price}</span>" : esc_attr($wpct_starting_discount_string) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Billed at Text", "whmpress" ); ?><em><small> [ <?php echo $this->get_current_language(); ?> ]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used to show actual selected billing cycle price', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_billed_at_string_style_2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_billed_discount_string == "") ? "Billed at {actual_selected_price}" : esc_attr($wpct_billed_discount_string) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Discount Text", "whmpress" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user have saved by switching to longer duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string2_style_2_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_discount_string_style_2 == "") ? "<strong>You're Saving {discount}</strong>" : esc_attr($wpct_discount_string_style_2) ?>">
                </td>
            </tr>

            <!-- Discount Style 3 -->
            <tr class="table-heading2">
                <th colspan="2">
                    <?php esc_html_e('Discount Style 3','wpct') ?>
                </th>
            </tr>
            <?php
            $wpct_cost_string1_style_3                 = get_option( "wpct_discount_string1_style_3_".$this->get_current_language() );
            $wpct_discount_string_style_3              = get_option( "wpct_discount_string2_style_3_".$this->get_current_language() );
            $wpct_billed_discount_string_style_3       = get_option( "wpct_billed_at_string_style_3_".$this->get_current_language() );
            ?>
            <tr>
                <td class="right">
                    <?php echo __( "Up-sell Text", "wpct" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user will save for switching to longer duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string1_style_3_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_cost_string1_style_3 == "") ? "FYI: By Choosing <strong>{max_months}</strong> months plan you could save <strong>{max_discount}</strong>" : esc_attr($wpct_cost_string1_style_3) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Discount Text", "wpct" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user is saving with respect to smallest duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string2_style_3_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_discount_string_style_3 == "") ? "<strong>You're Saving {discount}</strong>" : esc_attr($wpct_discount_string_style_3) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Billed at Text", "whmpress" ); ?><em><small> [ <?php echo $this->get_current_language(); ?> ]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used to show actual price for selected billing cycle', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_billed_at_string_style_3_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_billed_discount_string_style_3 == "") ? "Billed at" : esc_attr($wpct_billed_discount_string_style_3) ?>">
                </td>
            </tr>
            <!-- Discount Style 4 -->
            <tr class="table-heading2">
                <th colspan="2">
                    <?php esc_html_e('Discount Style 4','wpct') ?>
                </th>
            </tr>
            <?php
            $wpct_cost_string1_style_4                 = get_option( "wpct_discount_string1_style_4_".$this->get_current_language() );
            $wpct_discount_string_style_4              = get_option( "wpct_discount_string2_style_4_".$this->get_current_language() );
            $wpct_billed_discount_string_style_4       = get_option( "wpct_billed_at_string_style_4_".$this->get_current_language() );
            $wpct_add_for_manual_discount_style_4       = get_option( "wpct_add_for_manual_discount_style_4");
            ?>
            <tr>
                <td class="right">
                    <?php echo __( "Up-sell Text", "wpct" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user will save for switching to longer duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string1_style_4_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_cost_string1_style_4 == "") ? "FYI: By Choosing <strong>{max_months}</strong> months plan you could save <strong>{max_discount}</strong>" : esc_attr($wpct_cost_string1_style_4) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Discount Text", "wpct" ); ?> <em><small>[<?php echo $this->get_current_language(); ?>]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used with selected duration to show how much user is saving with respect to smallest duration. ', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_discount_string2_style_4_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_discount_string_style_4 == "") ? "<strong>You're Saving {discount}</strong>" : esc_attr($wpct_discount_string_style_4) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Billed at Text", "whmpress" ); ?><em><small> [ <?php echo $this->get_current_language(); ?> ]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('Used to show actual price for selected billing cycle', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input name="wpct_billed_at_string_style_4_<?php echo $this->get_current_language() ?>" value="<?php echo ($wpct_billed_discount_string_style_4 == "") ? "Billed at" : esc_attr($wpct_billed_discount_string_style_4) ?>">
                </td>
            </tr>
            <tr>
                <td class="right">
                    <?php echo __( "Add Manual Discount number", "whmpress" ); ?><em><small> [ <?php echo $this->get_current_language(); ?> ]</small></em><br>
                    <small>
                        <em>
                            <?php esc_html_e('', 'wpct')?>
                        </em>
                    </small>
                </td>
                <td>
                    <input  name="wpct_add_for_manual_discount_style_4" value="<?php echo ($wpct_add_for_manual_discount_style_4 == "") ? : esc_attr($wpct_add_for_manual_discount_style_4) ?>">
                </td>
            </tr>
            <tr>
                <td colspan="4" class="center wpct_admin_text_center">
                    <button class="button button-primary button-big"><?php echo __( "Save Settings", "whmpress" ) ?></button>
                </td>
            </tr>
			</tbody>
		</table>
	</form>
</div>

<!--<script>
	jQuery( function() {
		jQuery( ".del-button" ).click( function( event ) {
			//event.preventDefault();

			if ( !confirm( "Are you sure you want to delete this group?" ) ) {
				return false;
			}
		} );
		jQuery( ".select_me" ).focus( function() {
			jQuery( this ).select();
		} );
	} );
</script>-->