<?php

//== Enqueue the style file which is using in pricing table shortcode
$custom_css_file = WPCT_GRP_URL . "/css/default.css";

if (is_file($custom_css_file)) {
    wp_enqueue_style('whmpress_css_file', $custom_css_file);
}

wp_enqueue_style('whmpress-temp-style', WPCT_GRP_URL . '/css/whmpress.css');

// If WHMPress settings -> Styles -> include FontAwesome selected Yes
if (get_option('include_fontawesome') == "1") {
    wp_enqueue_style('font-awesome-script', "//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css");
}
extract(shortcode_atts([
    'html_template' => '',
    'image' => '',
    'id' => '0',
    'currency' => '',
], $atts));

$group = $this->whmp_get_group_full($id);

if ($currency != "") {
    $group["currency"] = $currency;
}

if (count($group) == "0" || !isset($group["plans"]) || count($group["plans"]) == "0") {
    $error_heading = esc_html__('No plans selected to show', 'wpct');
    $error_instruction1 = esc_html__('Please choose plans from ', 'wpct');
    $error_instruction2 = esc_html__('"List All > Select Plans" ', 'wpct');
    $error_instruction3 = esc_html__('then select products to include.', 'wpct');
    $final_string = '<div class="wpct_error"><div><strong>';
    $final_string .= $error_heading;
    $final_string .= '</strong></div>';
    $final_string .= $error_instruction1;
    $final_string .= '<strong>' . $error_instruction2 . '</strong>';
    $final_string .= $error_instruction3;
    $final_string .= '</div>';
    return $final_string;
}
$group["mobile_breakpoint"] = $group['hide_width_slider'];

$WHMPress = new WHMPress;

// If not HTML file provided in short-code, then look for setting in group.
if ($html_template == "") {
    $html_template = $group['slider_template_file'];
}
//ppa($html_template,"1");
// Get html template file
$html_template = $this->get_template_file($html_template, 'whmpress_order_slider');

/**~~----------------------------------------------------------------
 * If there is a template file make an array to be passed to smarty
 * --------------------------------------------------------------------*/
$html_template = wpct_select_tpl_first($html_template);
if (is_file($html_template)) {


    //~~ Extract veriable that are not package dependent for later use in code.
    $description = $group["description"];
    $name = $group["name"];
    $sep = $group["description_separator"];
    if (empty($sep)) {
        $sep = ":";
    }
    $rows = $group["rows_slider"];
    $currency_info = whmp_get_currency_info_i($group['currency']);
    $group["prefix"] = $currency_info["prefix"];
    $group["suffix"] = $currency_info["suffix"];
    $group["currency"] = $currency_info["id"];
    foreach ($group["plans"] as &$plan) {
        $price_tmp = BreakPrice($group, $plan["product_id"], $group["billingcycle"]);

        $plan["price"] = $price_tmp["price"];
        $plan["amount"] = $price_tmp["amount"];
        $plan["fraction"] = $price_tmp["fraction"];

        $plan["prefix"] = $group["prefix"];
        $plan["suffix"] = $group["suffix"];
        $plan["decimal"] = $price_tmp["decimal"];
        $plan["duration"] = $price_tmp["duration"];
        $plan['show_discount'] = $group['show_discount'];
        $plan['discount_style'] = $group['discount_style'];
        $plan["billingcycle"] = $group["billingcycle"];
        $plan["all_durations"] = AllPrices($group, $plan["product_id"], $group["currency"], [
            $group["billingcycle"],
            $group["billingcycle2"],
            $group["billingcycle3"],
            $group["billingcycle4"],
            $group["billingcycle5"],
            $group["billingcycle6"],
        ]);

        //== Discount Style 2 Processing
        /*$total_annually_price_according_to_month = $plan["all_durations"][$group['billingcycle']]['discount']['montly_price'] * 12;
        $total_annually_saving = $total_annually_price_according_to_month - $plan["all_durations"][$group['billingcycle2']]['Price']['amount'];
        $discount_months = round($total_annually_saving / $plan["all_durations"][$plan['billingcycle']]['Price']['amount']);
        $plan['discount_style'] = $group['discount_style'];

        $primary_billing_cycle_string = get_option('wpct_discount_string1_style_2_' . $this->get_current_language());
        $primary_billing_cycle_string = str_replace('{discount}', $plan['prefix'] . $total_annually_saving, $primary_billing_cycle_string);
        $primary_billing_cycle_string = str_replace('{discount_months}', $discount_months, $primary_billing_cycle_string);

        $secondary_billing_cycle_string = get_option('wpct_discount_string2_style_2_' . $this->get_current_language());
        $secondary_billing_cycle_string = str_replace('{discount}', $plan['prefix'] . $total_annually_saving, $secondary_billing_cycle_string);
        $secondary_billing_cycle_string = str_replace('{discount_months}', $discount_months, $secondary_billing_cycle_string);

        $starting_text_string = get_option('wpct_starting_price_style_2_' . $this->get_current_language());
        $starting_text_string = str_replace('{monthly_price}', '<span class="wpct_discount_del_price">' . $plan['prefix'] . $plan["all_durations"][$plan['billingcycle']]['Price']['amount'] . '/mo' . '</span>', $starting_text_string);

        $billed_at_text_string = get_option('wpct_billed_at_string_style_2_' . $this->get_current_language());
        $billed_at_text_string = str_replace('{actual_annual_price}', '<span class="wpct_discount_del_price">' . $plan['prefix'] . $total_annually_price_according_to_month . '</span>', $billed_at_text_string);
        $billed_at_text_string = str_replace('{discounted_annual_price}', '<span class="wpct_discount_section_larger_price">' . $plan['prefix'] . $plan["all_durations"][$group['billingcycle2']]['Price']['amount'] . "/yr" . '</span>', $billed_at_text_string);

        $discount_applied_text_string = get_option('wpct_applied_discount_string_style_2_' . $this->get_current_language());


        $plan[$group['billingcycle']]["discount_string_banner"] = '<div class="wpct_discounts_container">' . $primary_billing_cycle_string . '</div>';

        $plan[$group['billingcycle2']]["discount_string_banner"] = '<div class="wpct_discounts_container">' . $secondary_billing_cycle_string . '</div>';*/

        /*$plan["complete_discount_string"] = '<div class="wpct_price_style2_content">';
        $plan["complete_discount_string"] .= '<div class="wpct_secondary_discount_string">' . $starting_text_string . '</div>';
        $plan["complete_discount_string"] .= '<span class="wpct_unit">' . $plan['prefix'] . '</span>' . '<span class="wpct_amount">' . $plan["all_durations"][$group['billingcycle2']]['discount']['montly_price'] . '</span>' . '<span class="wpct_period">' . '/mo' . '</span>';
        $plan["complete_discount_string"] .= '<div class="wpct_secondary_discount_string wpct_string_extra_discount">' . $billed_at_text_string . '</div>';
        $plan["complete_discount_string"] .= '<div class="wpct_discount_applied_string">' . $discount_applied_text_string . '</div>';
        $plan["complete_discount_string"] .= '</div>';*/
        $plan['complete_discount_string'] = wpct_discount_string($plan, $group);

        //~~----Description
        //~~Simple Description
        $plan_description = $plan["description"];
        //~~Description in array
        $plan["description"] = Description2Array($plan_description, $rows, $sep, 3, 1);
        //~~Description in Associative Array
        $plan["description_array"] = Description2Array($plan_description, $rows, $sep, 4, 1);

        // Plan Prices duration wise
        $plan['multi_price'] = wpct_prepare_plan_price($plan, 'yes', '', $group['discount_style'],$group['duration_connector']);

        $plan['multi_button'] = wpct_prepare_plan_button($group, $plan);

        $plan['multi_duration'] = wpct_prepare_plan_durations($plan);

        $plan['multi_discount'] = ($group['show_discount'] != "no") ? wpct_prepare_plan_discounts($plan, "table", $group['show_discount_secondary']) : "";

        //~~ check copy to others ~~
        if ($plan["product_id"] == $group["important"]) {
            $plan["featured"] = "yes";
        } else {
            $plan["featured"] = "no";
        }


        if (!empty($group['order_url'])) {
            $plan["order_url"] = $group['order_url']. "?pid={$plan["product_id"]}&a=add&currency={$group["currency"]}&billingcycle={$group["billingcycle"]}";
        } else {
            if (is_plugin_active('WHMpress_Client_Area/client-area.php')) {
                global $WHMPress_Client_Area;
                if (empty($WHMPress_Client_Area)) {
                    $WHMPress_Client_Area = new WHMPress_Client_Area;
                }
                if ($WHMPress_Client_Area->is_permalink()) {
                    $plan["order_url"] = $WHMPress->get_whmcs_url("order") . "/pid/{$plan["product_id"]}/a/add/currency/{$group["currency"]}&billingcycle={$group["billingcycle"]}/";
                } else {
                    $plan["order_url"] = $WHMPress->get_whmcs_url("order") . "pid={$plan["product_id"]}&a=add&currency={$group["currency"]}&billingcycle={$group["billingcycle"]}";
                }
            } else {
                $plan["order_url"] = $WHMPress->get_whmcs_url("order") . "pid={$plan["product_id"]}&a=add&currency={$group["currency"]}&billingcycle={$group["billingcycle"]}";
            }
        }
    }


    // Billing Cycle toggle HTML
    $r = rand();
    $group['duration_toggle'] = wpct_prepare_duration_toggle($group, $r);

    $vars = [
        "group" => $group,
    ];

    $vars["random"] = $r;

    $OutputString = whmp_smarty_template($html_template, $vars);

    //ppa($OutputString);
    return $OutputString;


} /**~~----------------------------------------------------------------
 * If there is no smarty template selected, then show below text
 * --------------------------------------------------------------------*/
else {
    wpct_pretty_print($html_template);
    return "<div class='wpct_error'>No template selected or template does not exist. <br/>Please choose a template from <b>List All > Configure Option > Select Template File</b> under \"Slider Options\" section.</div>";
}